hoauth2-2.14.3: Haskell OAuth2 authentication client

Safe Haskell | None
Language | Haskell2010

Network.OAuth2.Experiment.Grants.ClientCredentials

Synopsis

- data ClientCredentialsApplication = ClientCredentialsApplication {
  - ccClientId :: ClientId
  - ccClientSecret :: ClientSecret
  - ccName :: Text
  - ccScope :: Set Scope
  - ccTokenRequestExtraParams :: Map Text Text
  - ccTokenRequestAuthenticationMethod :: ClientAuthenticationMethod
  }

# Documentation

data ClientCredentialsApplication Source #

An Application that supports "Client Credentials" flow

https://www.rfc-editor.org/rfc/rfc6749#section-4.4

Constructors

ClientCredentialsApplication |

Fields

- ccClientId :: ClientId
- ccClientSecret :: ClientSecret
- ccName :: Text
- ccScope :: Set Scope
- ccTokenRequestExtraParams :: Map Text Text
- ccTokenRequestAuthenticationMethod :: ClientAuthenticationMethod

#### Instances

Instances details

HasTokenRequest ClientCredentialsApplication Source # | https://www.rfc-editor.org/rfc/rfc6749#section-4.4.2

Instance details

Defined in Network.OAuth2.Experiment.Grants.ClientCredentials

Associated Types

data TokenRequest ClientCredentialsApplication |

Instance details

Defined in Network.OAuth2.Experiment.Grants.ClientCredentials

data TokenRequest ClientCredentialsApplication = ClientCredentialsTokenRequest {

- trScope :: Set Scope
- trGrantType :: GrantTypeValue
- trClientSecret :: ClientSecret
- trClientId :: ClientId
- trExtraParams :: Map Text Text
- trClientAuthenticationMethod :: ClientAuthenticationMethod

}

type ExchangeTokenInfo ClientCredentialsApplication |
Instance details Defined in Network.OAuth2.Experiment.Grants.ClientCredentials type ExchangeTokenInfo ClientCredentialsApplication = NoNeedExchangeToken

Methods

mkTokenRequestParam :: ClientCredentialsApplication -> ExchangeTokenInfo ClientCredentialsApplication -> TokenRequest ClientCredentialsApplication Source #

HasTokenRequestClientAuthenticationMethod ClientCredentialsApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.ClientCredentials Methods getClientAuthenticationMethod :: ClientCredentialsApplication -> ClientAuthenticationMethod Source #
HasOAuth2Key ClientCredentialsApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.ClientCredentials Methods mkOAuth2Key :: ClientCredentialsApplication -> OAuth2 Source #
ToQueryParam (TokenRequest ClientCredentialsApplication) Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.ClientCredentials Methods toQueryParam :: TokenRequest ClientCredentialsApplication -> Map Text Text Source #
type ExchangeTokenInfo ClientCredentialsApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.ClientCredentials type ExchangeTokenInfo ClientCredentialsApplication = NoNeedExchangeToken
data TokenRequest ClientCredentialsApplication Source # |

Instance details

Defined in Network.OAuth2.Experiment.Grants.ClientCredentials

data TokenRequest ClientCredentialsApplication = ClientCredentialsTokenRequest {

- trScope :: Set Scope
- trGrantType :: GrantTypeValue
- trClientSecret :: ClientSecret
- trClientId :: ClientId
- trExtraParams :: Map Text Text
- trClientAuthenticationMethod :: ClientAuthenticationMethod

}